
VELO Production Issue - Bug #22226

[Chinese Language CR][SIT][BE][About Us/ Contact Us] Showing Version Unknown

25 June 2025 10:08 AM - yap chekying

Status: Feedback Start date: 25 June 2025

Priority: Normal Due date:  

Assignee: yap chekying % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Steps to Reproduce:

1. Tap on "Others" button then tap on "About Us" or "Contact Us"

Actual Result:

Show "Ver unknown".

Expected Result:

Should show version number.

According to He Xi,

Response from retrieveSecInfo

{

binded = false;

exponentString = 10001;

initializationVector = "AAAAAAAAAAAAAAAAAAAAAA==";

limitMaxBinding = false;

"menu_access_list" =     (

...

);

obHeader =     {

asOfDate = "25-06-2025 08:26";

maintenanceNoticeFlag = false;

maintenanceUpfrontNoticeTime = 0;

responseTime = "2025-06-25 08:26:28";

statusCode = 0000000;

statusMessage = "\U82cf\U4e39\U00b7\U897f\U4e9a\U666e";

};

pbkString =

DDD926AD20B68E3590EE84A69356B63DE204E04A3CC64B76EAAC0F2AF34523E7409C6E0CF0782C3F5286EAE7B98D72549

69598B92E32C46E505A4D7453B2619595C61EA5D5E865FC0DF514165DBD4110D9184FBE5AA6669417D49CB912ED3B81701

C2D4B2AD0B54100D02E74BBD903E52076746092FD9AB4487DB3DD4D0CEC7DFA679EAA91906AFC58D26CADE6F51D485A3

5F573D44DECCB46EE8E07645995A289E7D37B47E7AD95FA3849840AB3BC5F3F73E5C1195D61742C8BEE5E9BDBC8F11EC

A88FD0F4455122FEEA81E365EF418E07E11E2707366AFBC7B5D68EFD01DDDCFD6BD3D7489ECAF912A61435D0125BB8410

5576223976D9469CC86AA2A2309F;

randomNumber = "d717834a-d24c-474b-a5e8-30befcf5a08e";

redirectURLList =     (

...,                 {

gnCode = "version_ios";

gnCodeDescription = unknown;

},                 {

gnCode = "update_date_ios";

gnCodeDescription = unknown;

},                 {

gnCode = "update_time_ios";

gnCodeDescription = unknown;

}

);

resendTagCount = 0;

resendTagInterval = 0;

resendTagMax = 0;
sessionDuration = 0;

upfrontNoticeTime = 0;

xString =

C48977640A703FDDAD9F955E0C0524EEE6121B72D69C4271D7220D41A5EA05D405C77B935B2E982F5BA02A06C7519EB959

BC83B466A780B619EBEBE7E58FE1F4A4F9F797F3568A2A9CDD6DB7163A48E09D6ABD30A8B07B556CA68A246D4C2B80A25

14CACEB714FAE0F8D0CF5D0B7A9BBB6D313B0C1DFA85D34FA29BE06F7AE23;

}

History

#1 - 25 June 2025 04:06 PM - Tan Hi Ann

- File b91f52ff-9630-4a62-bf2d-27f400bf5161.jfif added

- Status changed from New to Feedback

- Assignee changed from Tan Hi Ann to yap chekying

According to Suprix, UAT app version in DB is not updated like in Production,

Hence when querying for app version in code, will show unknown as default.

Files

Version Number.jpeg 29.6 KB 25 June 2025 yap chekying

b91f52ff-9630-4a62-bf2d-27f400bf5161.jfif 192 KB 25 June 2025 Tan Hi Ann
